#include "vision.h"


// 1- 60

int a=2,b=3,c=4;
std::vector<int> getVisionPattern1d()
{
    return {a, b, c};
}


int getMove1d(std::vector<int> v)
{

    int mid = v.size()/2;
    if ( v[mid] == a && v[mid+1] == b ) return mid+1;
    else if (  v[mid] == a && v[mid-1] == b )  return mid-1;

     if ( v[mid] == b && v[mid+1] == c ) return mid+1;
    else if (  v[mid] == b && v[mid-1] == c )  return mid-1;

     if ( v[mid] == c && v[mid+1] == a ) return mid+1;
    else if (  v[mid] == c && v[mid-1] == a )  return mid-1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
